<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'email_account.php');
/**
 * Class email-accounts
 *
 */
class email_accounts extends databasetable
{
	/**
	 * Initiate Class
	 *
	 */
	function email_accounts(){
		$this->set_tablename(TABLE_EMAIL_ACCOUNTS);
		$this->set_index('email_accounts_id');
		$this->related_tables = array();
	}

	/**
	 * get data for email class
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_email_account($id){
		$values = $this->get_row_by_index($id);
		$email_account_instance = new email_account( (object) current($values) );
		return $email_account_instance;
	}
}
